Announcement

As of April 17, 2018, this site is now in read-only mode. To start new Blackbaud Developer’s discussions, you will find Developer Discussions in the Blackbaud CRM Community.

To post or respond to Blackbaud Community discussions, you will have to login using a www.blackbaud.com login. Learn how to login here. If you have questions or need assistance, please email community@blackbaud.com.

1.7k questions

3.2k answers

401 users

Categories

1.7k questions

3.2k answers

401 users

I have a PC with Visual Studio 2017 & 2015. I should prefer to install just one of these when I next upgrade my PC. It would help my planning to know when I may expect a release that is compatible with a later development system than Visual Studio 2015.

related to an answer for: Visual Studio 2017
asked by jamestullett (290 points)

2 Answers

I wrote up some steps to possibly get this working. The templates and our existing projects load up.
I don't play with CRM enough to say it's 100% working but it's at least partially working.

http://www.customizingnetcommunity.com/2018/02/blackbaud-crm-sdk-compatibility-with.html

answered by garrett-keating (176 points)

I've looked at this work-around; you can set up a Catalog Project, and add artefacts, such as Add and Edit forms - all using Visual Studio 2017 (Enterprise). I did notice several (35) messages about missing schema information - which suggested that some of the XML processing kit hadn't been copied across.

I'll explore further - looks promising! :-)

this question was asked here

http://www.bbdevnetwork.com/qa/45564/visual-studio-2017

I have an open case with them asking the same question. They haven't gotten back to me.
They do encourage people to go here https://bbcrm.ideas.aha.io/ideas/CRM-I-2695
and vote for the idea so they can have an idea of how many people want it...

answered by garrett-keating (176 points)
...